#include <string.h>

void *memcpy(void *to, const void *from, size_t count)
{
	while( count-- )
		((char *)to)[count] = ((char *)from)[count];
	return to;
}

void *memset(void *buf, int ch, size_t count)
{
	unsigned char c = ch & 0xff;
	while( count-- )
		((unsigned char *)buf)[count] = c;
	return buf;
}

char *strcpy(char *str1, const char *str2)
{
	char *tmp = str1;
	while (*str2)
		*(str1++) = *(str2++);
	return tmp;
}
