#!/bin/bash

MOUNT=0

if ! grep floppy /etc/mtab >/dev/null ; then
	MOUNT=1
fi

if [ "$MOUNT" -eq "1" ] ; then
	if ! mount /mnt/floppy ; then
		echo "Error mount floppy"
		exit 1
	fi
fi

if ! cp ./kernel/kernel /mnt/floppy >/dev/null 2>&1 ; then
	echo "Error copy kernel"
	exit 1;
fi

if [ "$MOUNT" -eq "1" ] ; then
	umount /mnt/floppy
fi

exit $?
