#ifndef _DMA_H_
#define _DMA_H_

#define DMA_MODE_READ        0x44
#define DMA_MODE_WRITE       0x48

void enable_dma(unsigned int dma);
void disable_dma(unsigned int dma);
void set_dma_mode(unsigned int dma, char mode);
void set_dma_addr(unsigned int dma, unsigned int addr);
void set_dma_count(unsigned int dma, unsigned int count);

#endif  /* _DMA_H_ */
