OUTPUT_FORMAT ("binary")
/*OUTPUT_FORMAT ("a.out-i386-linux")*/
OUTPUT_ARCH (i386)
ENTRY (_start)
SECTIONS
{
	/*     */
	. = 0x0500 ;
	/*   */
	__text = .;
	.text : { kernel.o (.text) *(.text) } = 0x90
	__etext = .;

	/*     */
	.rodata : { *(.rodata) *(.rodata.*) }

	/*   */
	. = ALIGN(4);
	.data : { *(.data) } = 0x00
	__edata = .;

	/*
	 *    .
	 *      .
	 */
	. = ALIGN(4);
	__bss = .;
	.bss :
	{
		*(.bss)
		*(COMMON)
		. = ALIGN(4096);
		*(.bss.page_dir)
		. = ALIGN(4096);
		*(.bss.page_tab)
	}
	__ebss = .;

	/*    */
	/DISCARD/ : { *(*) }
}
