#!/bin/bash

MOUNT=0

if grep floppy /etc/mtab >/dev/null ; then
	MOUNT=1
fi

if [ "$MOUNT" -eq "1" ] ; then
	if ! umount /mnt/floppy ; then
		echo "Error umount floppy"
		exit 1
	fi
fi

if ! dd if=./boot/boot of=/dev/fd0 seek=0 >/dev/null 2>&1 ; then
	echo "Error install boot"
	exit 1
fi

if [ "$MOUNT" -eq "1" ] ; then
	mount /mnt/floppy
fi

exit $?
